package com.bgy.sms.channel.dmHub.service;

import com.bgy.sms.channel.bgy.dto.ReportDto;

import java.util.Map;

public interface DmHubService {

    /**
     * 获取DM hub token,用户请求DM hub接口
     *
     * @return token信息
     */
    String getToken() ;


    /**
     * 回执报告给DM hub
     *
     * @param dto
     * @return
     */
    Map<String, Object> smsReport(ReportDto dto) throws Exception;
}
